// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface ExecuteSpotRequestDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.ExecuteSpotRequestDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string price_id = 1;</code>
   */
  java.lang.String getPriceId();
  /**
   * <code>optional string price_id = 1;</code>
   */
  com.google.protobuf.ByteString
      getPriceIdBytes();

  /**
   * <code>optional string symbol = 2;</code>
   */
  java.lang.String getSymbol();
  /**
   * <code>optional string symbol = 2;</code>
   */
  com.google.protobuf.ByteString
      getSymbolBytes();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 3;</code>
   */
  int getSideValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 3;</code>
   */
  com.accelfin.server.demo.fx.dtos.SideDto getSide();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto amount = 4;</code>
   */
  boolean hasAmount();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto amount = 4;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getAmount();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto amount = 4;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getAmountOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto price = 5;</code>
   */
  boolean hasPrice();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto price = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getPrice();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto price = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getPriceOrBuilder();
}
